PAPI_read_counters(3)

NAME
PAPI_read_counters -

Read and reset counters.

SYNOPSIS

Detailed Description

@par C Interface:

int PAPI_read_counters( long long *values, int array_len );

Parameters:
    *values an array to hold the counter values of the counting events
    arry_len the number of items in the *events array

Precondition:
    These calls assume an initialized PAPI library and a properly added event set.

Postcondition:
    The counters are reset and left running after the call.

Return values:
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ESYS A system or C library call failed inside PAPI, see the errno variable.

PAPI_read_counters() copies the event counters into the array *values.

do_100events();
if ( PAPI_read_counters( values, num_hwcntrs ) != PAPI_OK )
    handlw_error(1);
// values[0] now equals 100
do_100events();
if ( PAPI_accum_counters( values, num_hwcntrs ) != PAPI_OK )
    handle_error(1);
// values[0] now equals 200
values[0] = -100;
do_100events();
if ( PAPI_accum_counters(values, num_hwcntrs ) != PAPI_OK )
    handle_error();
// values[0] now equals 0
 *

See Also:
    PAPI_set_opt() PAPI_start_counters()

Fortran Interface:
    #include 'fpapi.h'
     PAPIF_read_counters( C_LONG_LONG(*) values, C_INT array_len, C_INT check )

See Also:
    PAPI_read_counters

Author

Generated automatically by Doxygen for PAPI from the source code.